import { Avatar as AvatarPrimitive } from '@base-ui/react/avatar';
import type * as React from 'react';
type AvatarSize = 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl';
type AvatarRootProps = AvatarPrimitive.Root.Props & {
    size?: AvatarSize;
};
declare function Avatar({ className, size, ...props }: AvatarRootProps): import("react/jsx-runtime").JSX.Element;
declare namespace Avatar {
    var displayName: string;
}
declare function AvatarImage({ className, ...props }: AvatarPrimitive.Image.Props): import("react/jsx-runtime").JSX.Element;
declare namespace AvatarImage {
    var displayName: string;
}
declare function AvatarFallback({ className, ...props }: AvatarPrimitive.Fallback.Props): import("react/jsx-runtime").JSX.Element;
declare namespace AvatarFallback {
    var displayName: string;
}
declare function AvatarBadge({ className, ...props }: React.ComponentProps<'span'>): import("react/jsx-runtime").JSX.Element;
declare namespace AvatarBadge {
    var displayName: string;
}
declare function AvatarGroup({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace AvatarGroup {
    var displayName: string;
}
declare function AvatarGroupCount({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace AvatarGroupCount {
    var displayName: string;
}
export { Avatar, AvatarBadge, AvatarFallback, AvatarGroup, AvatarGroupCount, AvatarImage, type AvatarRootProps, type AvatarSize, };
